| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::SP3File Class Reference

Class for reading Standard Product 3 C (SP3-C) files. More...

Inheritance diagram for EECFI::SP3File:

List of all members.

## Public Member Functions
| SP3File ()
| Empty constructor.
| SP3File (const string fileNam)
| Constructor with file name.
| ~SP3File ()
| Destructor.
void | read () throw (CfiError)
| Read the whole file data block.
void | read (OsvListReadConfiguration osvListReadConfig) throw (CfiError)
| Read the file according to inputs (base method).
## Public Attributes
long | type
double | globalTimeStart
| XDCFISP3FileTypeEnum (position of position+velocity).
string | dataUsed
| Data used descriptor.
string | coordinateSystem
| Name of the coordinate system used as written in SP3 file.
string | orbitType
| Orbit type descriptor.
string | agency
| Name of the agency that generated the file.
long | gpsWeek
| GPS week.
double | secondsOfWeek
| Seconds of the week elapsed at the start of the orbit.
double | epochIntervalSeconds
| Epoch interval in seconds.
double | julianDateStart
| Modified Julina day start.
double | fractionalDay
| Fractional part of the day (0.0 <= fractional < 1.0) at the start of the orbit.
long | numSat
| Number of satellites.
long | fileTypeDescriptor
| File descriptor (XDCFISP3FileDescriptorEnum).
long | timeSystemIndicator
| Time system used in file (XDSP3TimeSystemEnum).
double | posVelStdDev
| Base number used for computing the standard deviations for the components of the satellite position and velocity (units: mm and 10**-4 mm/sec).
double | clockStdDev
| Base number for computing the standard deviations for the clock correction and the rate-of-change of the clock correction (units: picosec and 10**-4 picosec/sec).
vector< string > | comments
| Comments in lines 19 to 22.
double | deltaTaiGps
| Delta TAI-GPS [seconds].
vector< OsvRecSP3 > | osvRecSP3
| Lists of state vectors for all the satellites.

## Detailed Description

Class for reading Standard Product 3 C (SP3-C) files.

## Constructor & Destructor Documentation

EECFI::SP3File::SP3File | ( |  | ) |

Empty constructor.

References EECFI::EEFile::fileType.

EECFI::SP3File::SP3File | ( | const string | fileNam | ) |

Constructor with file name.

EECFI::SP3File::~SP3File | ( |  | ) |

Destructor.

References EECFI::EEFile::fixedHeader, and osvRecSP3.

## Member Function Documentation

void EECFI::SP3File::read | ( |  | ) | throw (CfiError)

Read the whole file data block.

References EECFI::OsvListReadConfiguration::timeMode.

void EECFI::SP3File::read | ( | OsvListReadConfiguration | osvListReadConfig | ) | throw (CfiError)

Read the file according to inputs (base method).

Parameters:

  | osvListReadConfig | Configuration for reading OSV state vectors

References EECFI::OsvRecSP3::identifier, EECFI::OsvRecSP3::idString, EECFI::OsvRecSP3::numRec, EECFI::OsvRecSP3::osvRec, EECFI::OsvRecSP3::satAccuracy, and EECFI::OsvRecSP3::type.

## Member Data Documentation

string EECFI::SP3File::agency

Name of the agency that generated the file.

double EECFI::SP3File::clockStdDev

Base number for computing the standard deviations for the clock correction and the rate-of-change of the clock correction (units: picosec and 10**-4 picosec/sec).

vector<string> EECFI::SP3File::comments

Comments in lines 19 to 22.

string EECFI::SP3File::coordinateSystem

Name of the coordinate system used as written in SP3 file.

string EECFI::SP3File::dataUsed

Data used descriptor.

double EECFI::SP3File::deltaTaiGps

Delta TAI-GPS [seconds].

double EECFI::SP3File::epochIntervalSeconds

Epoch interval in seconds.

long EECFI::SP3File::fileTypeDescriptor

File descriptor (XDCFISP3FileDescriptorEnum).

double EECFI::SP3File::fractionalDay

Fractional part of the day (0.0 <= fractional < 1.0) at the start of the orbit.

double EECFI::SP3File::globalTimeStart

XDCFISP3FileTypeEnum (position of position+velocity).

Gegorian initial time for all the file (MJD2000).

long EECFI::SP3File::gpsWeek

GPS week.

double EECFI::SP3File::julianDateStart

Modified Julina day start.

long EECFI::SP3File::numSat

Number of satellites.

string EECFI::SP3File::orbitType

Orbit type descriptor.

vector<OsvRecSP3> EECFI::SP3File::osvRecSP3

Lists of state vectors for all the satellites.

Referenced by ~SP3File().

double EECFI::SP3File::posVelStdDev

Base number used for computing the standard deviations for the components of the satellite position and velocity (units: mm and 10**-4 mm/sec).

double EECFI::SP3File::secondsOfWeek

Seconds of the week elapsed at the start of the orbit.

long EECFI::SP3File::timeSystemIndicator

Time system used in file (XDSP3TimeSystemEnum).

long EECFI::SP3File::type